"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
class ShowSourceCommand {
    constructor(previewManager) {
        this.previewManager = previewManager;
        this.id = 'markdown.showSource';
    }
    execute(docUri) {
        if (!docUri) {
            return vscode.commands.executeCommand('workbench.action.navigateBack');
        }
        const resource = this.previewManager.getResourceForPreview(docUri);
        if (resource) {
            return vscode.workspace.openTextDocument(resource)
                .then(document => vscode.window.showTextDocument(document));
        }
        return undefined;
    }
}
exports.ShowSourceCommand = ShowSourceCommand;

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/undefined/extensions/markdown/out/commands/showSource.js.map
